{
    "env": {
        "user_asmIncludes": [],
        "user_asmDefines": [],
        "user_ldIncludes": [],
        "cubemx_includes": [
            "Inc",
            "Drivers/STM32F1xx_HAL_Driver/Inc",
            "Drivers/STM32F1xx_HAL_Driver/Inc/Legacy",
            "Drivers/CMSIS/Device/ST/STM32F1xx/Include",
            "Drivers/CMSIS/Include",
            "Drivers/CMSIS/Include"
        ],
        "user_ldFlags": [],
        "user_ldSources": [],
        "gccExePath": "/usr/bin/arm-none-eabi-gcc",
        "____________________USER_FIELDS_CAN_BE_MODIFIED____________________": "",
        "user_asmSources": [],
        "user_asmFlags": [],
        "user_cFlags": [],
        "user_cIncludes": [],
        "____________________DO_NOT_MODIFY_FIELDS_BELOW____________________": "",
        "user_cDefines": [],
        "user_cSources": [],
        "cubemx_sourceFiles": [
            "Src/main.c",
            "Src/stm32f1xx_it.c",
            "Src/stm32f1xx_hal_msp.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_gpio_ex.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_tim.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_tim_ex.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_uart.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_wwdg.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_rcc.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_rcc_ex.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_gpio.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_dma.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_cortex.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_pwr.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_flash.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_flash_ex.c",
            "Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_exti.c",
            "Src/system_stm32f1xx.c",
            "startup_stm32f103xb.s"
        ],
        "cubemx_defines": [
            "USE_HAL_DRIVER",
            "STM32F103xB",
            "USE_HAL_DRIVER",
            "STM32F103xB"
        ],
        "gccIncludePath": "/usr/lib/gcc/arm-none-eabi/4.9.3/include"
    },
    "configurations": [
        {
            "browse": {
                "limitSymbolsToIncludedHeaders": true,
                "path": [
                    "${workspaceFolder}",
                    "${cubemx_includes}",
                    "${gccIncludePath}",
                    "${user_cIncludes}",
                    "${user_asmIncludes}",
                    "${user_ldIncludes}"
                ]
            },
            "defines": [
                "${cubemx_defines}",
                "${user_cDefines}",
                "${user_asmDefines}"
            ],
            "includePath": [
                "${workspaceFolder}",
                "${cubemx_includes}",
                "${gccIncludePath}",
                "${user_cIncludes}",
                "${user_asmIncludes}",
                "${user_ldIncludes}"
            ],
            "compilerPath": "${gccExePath}",
            "forcedInclude": [],
            "cppStandard": "c++17",
            "intelliSenseMode": "msvc-x64",
            "name": "VSworkspace",
            "cStandard": "c11"
        }
    ],
    "version": 4
}